<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JavaScript: Level 1</title>
</head>

<body>
    <script>

        // 3810424...
        // 3 - 20. sajandil sündinud mees
        // 81 - sünniaasta sajandil
        // 04 - sünnikuu
        // 24 - sünni kuupäev

        // Harjutus 13
        function extractPersonBirthYear(personalCode) {
            let firstDigit = parseInt(personalCode.substr(0, 1)); // 3
            let birthYearDigits = parseInt(personalCode.substr(1, 2)); // 81

            if (firstDigit == 1 || firstDigit == 2) {
                return 1800 + birthYearDigits;
            } else if (firstDigit == 3 || firstDigit == 4) {
                return 1900 + birthYearDigits;
            } else if (firstDigit == 5 || birthYearDigits == 6) {
                return 2000 + birthYearDigits;
            } else {
                return -1;
            }
        }

        let personBirthYear = extractPersonBirthYear("37605030299");
        console.log('Inimese sünniaasta: ' + personBirthYear);

        // Harjutus 14
        function extractPersonGender(personalCode) {
            let firstDigit = parseInt(personalCode.substr(0, 1));

            // 1 - mees
            // 2 - naine
            // 3 - mees
            // 4 - naine
            // 5 - mees
            // 6 - naine
            // Variant 1
            // if (firstDigit == 1 || firstDigit == 3 || firstDigit == 5) {
            //     return 'M';
            // } else if (firstDigit == 2 || firstDigit == 4 || firstDigit == 6) {
            //     return 'F';
            // } else {
            //     return null;
            // }
            // Variant 2
            // if (firstDigit % 2 == 0) {
            //     return 'F';
            // } else {
            //     return 'M';
            // }
            // Variant 3
            return (firstDigit % 2 == 0) ? 'F' : 'M';
        }

        let personGender = extractPersonGender("37605030299");
        console.log('Inimese sugu: ' + personGender);

    </script>
</body>

</html>